## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# what it's called on pypi
%global srcname flask-restx
# what it's imported as
%global libname flask_restx

Name:           python-%{srcname}
Version:        1.2.0
Release:        %autorelease
Summary:        Framework for fast, easy and documented API development with Flask
License:        BSD-3-Clause
URL:            https://github.com/python-restx/flask-restx
Source0:        %{pypi_source %srcname}
Patch0:         0001-Use-importlib.resources.patch
Patch1:         0002-Remove-jsonschema-restriction.patch
BuildArch:      noarch

%global _description %{expand:
Flask-RESTX is an extension for Flask that adds support for quickly
building REST APIs. It encourages best practices with minimal setup.
If you are familiar with Flask, Flask-RESTX should be easy to pick up.
It provides a coherent collection of decorators and tools to describe your API
and expose its documentation properly using Swagger.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Provides:       python3-flask-restplus = %{version}-%{release}
# Using < or <= would obsolete ourselves
Obsoletes:      python3-flask-restplus = 0.13.0
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}
rm -rf %{libname}.egg-info
rm -f %{libname}/static/files/.npmignore

%build
%py3_build

%install
%py3_install

# Upstream requires pinned dependencies versions
#%%check
#%%tox

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{libname}
%{python3_sitelib}/%{libname}-*.egg-info/


%changelog
* Mon Oct 23 2023 Jiri Popelka <jpopelka@redhat.com> - 1.2.0-2
- Remove jsonschema restriction

* Mon Oct 23 2023 Jiri Popelka <jpopelka@redhat.com> - 1.2.0-1
- 1.2.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.1.0-2
- Rebuilt for Python 3.12

* Thu Mar 23 2023 Jiri Popelka <jpopelka@redhat.com> - 1.1.0-1
- 1.1.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 16 2023 Jiri Popelka <jpopelka@redhat.com> - 1.0.5-1
- 1.0.5

* Mon Dec 12 2022 Jiri Popelka <jpopelka@redhat.com> - 1.0.3-3
- Use SPDX identifier in License tag

* Mon Nov 07 2022 Jiri Popelka <jpopelka@redhat.com> - 1.0.3-2
- Return getting the source from PyPI

* Mon Nov 07 2022 Jiri Popelka <jpopelka@redhat.com> - 1.0.3-1
- 1.0.3

* Wed Jul 27 2022 František Zatloukal <fzatlouk@redhat.com> - 0.5.1-5
- Backport werkzeug >= 2.1 support

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.5.1-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 06 2021 Jiri Popelka <jpopelka@redhat.com> - 0.5.1-1
- 0.5.1

* Tue Jul 20 2021 Jiri Popelka <jpopelka@redhat.com> - 0.5.0-1
- 0.5.0

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.4.0-2
- Rebuilt for Python 3.10

* Thu May 27 2021 Jiri Popelka <jpopelka@redhat.com> - 0.4.0-1
- 0.4.0

* Wed Apr 14 2021 Jiri Popelka <jpopelka@redhat.com> - 0.3.0-1
- 0.3.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-2
- Rebuilt for Python 3.9

* Thu Mar 26 2020 Jiri Popelka <jpopelka@redhat.com> - 0.2.0-1
- Rename python-flask-restplus to python-flask-restx (#1817535)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Nov 15 2019 Jiri Popelka <jpopelka@redhat.com> - 0.13.0-2
- add CHANGELOG.rst

* Tue Oct 22 2019 Jiri Popelka <jpopelka@redhat.com> - 0.13.0-1
- init

